<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package xpand-blog-pro
 */

$opt_name = XPAND_BLOG_PRO_THEME_PREFIX . '_options';
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Contact & Socials', BLOGWP_BLOG_THEME_NAME),
        'id' => 'socials_section',
        'heading' => esc_html__('Contact & Socials', BLOGWP_BLOG_THEME_NAME),
        'desc' => esc_html__('In case you want to hide any field, just keep that field empty', BLOGWP_BLOG_THEME_NAME),
        'icon' => 'el el-twitter',
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'address_field_title',
                'type' => 'text',
                'title' => esc_html__('Address Field Title', BLOGWP_BLOG_THEME_NAME),
                'default' => esc_html__('Contact information', BLOGWP_BLOG_THEME_NAME),
            ),
            array(
                'id' => 'address',
                'type' => 'textarea',
                'title' => esc_html__('Address', BLOGWP_BLOG_THEME_NAME),
                'default' => esc_html__('Theodore Lowe, Ap #867-859 Sit Rd, Azusa New York', BLOGWP_BLOG_THEME_NAME),
            ),
            array(
                'id' => 'call_now_field_title',
                'type' => 'text',
                'title' => esc_html__('Call Now Field Title', BLOGWP_BLOG_THEME_NAME),
                'default' => esc_html__('We are available 24/ 7. Call Now.', BLOGWP_BLOG_THEME_NAME),
            ),
            array(
                'id' => 'phone',
                'type' => 'text',
                'title' => esc_html__('Phone', BLOGWP_BLOG_THEME_NAME),
                'default' => '(888) 456-2790',
            ),
            array(
                'id' => 'fax',
                'type' => 'text',
                'title' => esc_html__('Fax', BLOGWP_BLOG_THEME_NAME),
                'default' => '(121) 255-53333',
            ),
            array(
                'id' => 'email',
                'type' => 'text',
                'title' => esc_html__('Email', BLOGWP_BLOG_THEME_NAME),
                'validate' => 'email',
                'default' => 'example@domain.com',
            ),
            array(
                'id' => 'social_title',
                'type' => 'text',
                'title' => esc_html__('Social Title', BLOGWP_BLOG_THEME_NAME),
                'default' => esc_html__('Follow us', BLOGWP_BLOG_THEME_NAME),
            ),
            array(
                'id' => 'social_facebook',
                'type' => 'text',
                'title' => esc_html__('Facebook', BLOGWP_BLOG_THEME_NAME),
                'default' => '#',
            ),
            array(
                'id' => 'social_twitter',
                'type' => 'text',
                'title' => esc_html__('Twitter', BLOGWP_BLOG_THEME_NAME),
                'default' => '#',
            ),

            array(
                'id' => 'social_linkedin',
                'type' => 'text',
                'title' => esc_html__('Linkedin', BLOGWP_BLOG_THEME_NAME),
                'default' => '#',
            ),
            array(
                'id' => 'social_youtube',
                'type' => 'text',
                'title' => esc_html__('Youtube', BLOGWP_BLOG_THEME_NAME),
                'default' => '#',
            ),
            array(
                'id' => 'social_pinterest',
                'type' => 'text',
                'title' => esc_html__('Pinterest', BLOGWP_BLOG_THEME_NAME),
                'default' => '',
            ),
            array(
                'id' => 'social_instagram',
                'type' => 'text',
                'title' => esc_html__('Instagram', BLOGWP_BLOG_THEME_NAME),
                'default' => '',
            ),

        )
    )
);
